Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neuroph
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neuroph.nnet.learning
Class PerceptronLearning

    java.lang.Object
      java.util.Observable
          org.neuroph.core.learning.LearningRule
              org.neuroph.core.learning.IterativeLearning
                  org.neuroph.core.learning.SupervisedLearning
                      org.neuroph.nnet.learning.LMS
                          org.neuroph.nnet.learning.PerceptronLearning

All Implemented Interfaces:
  java.io.Serializable, java.lang.Runnable

Direct Known Subclasses:
  BinaryDeltaRule

    public class PerceptronLearning

extends LMS

Perceptron learning rule for perceptron neural networks.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.neuroph.core.learning.SupervisedLearning
`maxError, previousEpochError, totalNetworkError`

Fields inherited from class org.neuroph.core.learning.IterativeLearning
`currentIteration, iterationsLimited, learningRate, maxIterations`

Fields inherited from class org.neuroph.core.learning.LearningRule
`neuralNetwork`

Constructor Summary
`PerceptronLearning()` Creates new PerceptronLearning instance
`PerceptronLearning(NeuralNetwork neuralNetwork)` Creates new PerceptronLearning learning for the specified neural network

Method Summary
`protected void` | `updateNeuronWeights(Neuron neuron)` This method implements weights update procedure for the single neuron In addition to weights change in LMS it applies change to neuron's threshold

Methods inherited from class org.neuroph.nnet.learning.LMS
`updateNetworkWeights, updateTotalNetworkError`

Methods inherited from class org.neuroph.core.learning.SupervisedLearning
`doLearningEpoch, errorChangeStalled, getMaxError, getMinErrorChange, getMinErrorChangeIterationsCount, getMinErrorChangeIterationsLimit, getPatternError, getPreviousEpochError, getTotalNetworkError, hasReachedStopCondition, learn, learn, learnPattern, reset, setMaxError, setMinErrorChange, setMinErrorChangeIterationsLimit`

Methods inherited from class org.neuroph.core.learning.IterativeLearning
`doOneLearningIteration, getCurrentIteration, getLearningRate, isPausedLearning, learn, learn, pause, resume, setLearningRate, setMaxIterations`

Methods inherited from class org.neuroph.core.learning.LearningRule
`getNeuralNetwork, getTrainingSet, isStopped, notifyChange, run, setNeuralNetwork, setTrainingSet, stopLearning`

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PerceptronLearning

    public PerceptronLearning()

  Creates new PerceptronLearning instance

### PerceptronLearning

    public PerceptronLearning(NeuralNetwork neuralNetwork)

  Creates new PerceptronLearning learning for the specified neural network

  Parameters:
    `neuralNetwork` -

Method Detail

### updateNeuronWeights

    protected void updateNeuronWeights(Neuron neuron)

  This method implements weights update procedure for the single neuron In addition to weights change in LMS it applies change to neuron's threshold

  Overrides:
    `updateNeuronWeights` in class `LMS`
  Parameters:
    `neuron` - neuron to update weights

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neuroph
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD